Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Class AbstractAdviceTransform

    java.lang.Object
      |
      +--com.bea.p13n.advisor.AbstractAdviceTransform

Direct Known Subclasses:
  OutputToInputTransform, ResultsToRulesInputTransform, RulesInputTransform

public abstract class AbstractAdviceTransform
extends java.lang.Object
implements AdviceTransform, AdviceConstants, AdviceRequestConstants

This is an abstract base class useful for defining new `AdviceTransform` classes.

Constructor Summary
`AbstractAdviceTransform(Metadata metadata)` Construct an instance of this object and bind it to its `Metadata` instance.

Method Summary
`Metadata` | `getMetadata()` Returns the `Metadata` that is associated with this.
`boolean` | `initialize(java.util.Map parameters, java.lang.Object parameterDocument)` Initializes this with the given `parameters` and a `parameterDocument`.
`java.lang.String` | `toString()` Constructs and returns a String representation of this object.
`void` | `transform(Advice input, AdviceRequest output)` Transforms the given `Advice` into `AdviceRequest` to pass it to another `Advisor` in the advislet chain defined in the advislet registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractAdviceTransform

    public AbstractAdviceTransform(Metadata metadata)

  Construct an instance of this object and bind it to its `Metadata` instance.

  Parameters:
    `metadata` - the metadata for this object.

Method Detail

### initialize

    public boolean initialize(java.util.Map parameters,
                              java.lang.Object parameterDocument)
                       throws AdvisorException

  Initializes this with the given `parameters` and a `parameterDocument`.

  Parameters:
    `parameters` - A map containing key-value pairs.
    `parameterDocument` - An `Object` representing a parameter document.
  Returns:
    returns `true` if this operation is successful, otherwise returns `false`.
  Throws:
    AdvisorException - If an error occurs during initialization process.

### transform

    public void transform(Advice input,
                          AdviceRequest output)
                   throws AdvisorException

  Transforms the given `Advice` into `AdviceRequest` to pass it to another `Advisor` in the advislet chain defined in the advislet registry.
  Specified by:
    transform in interface AdviceTransform

  Parameters:
    `input` - An `Advice` from which the parameters are extracted and transformed.
    `output` - An `AdviceRequest` that is prepared from the given `Advice`.
  Throws:
    AdvisorException - If an error occurs during the transformation process.

### getMetadata

    public Metadata getMetadata()

  Returns the `Metadata` that is associated with this.

  Returns:
    The `Metadata`.

### toString

    public java.lang.String toString()

  Constructs and returns a String representation of this object.

  Returns:
    a String representation of this object.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved